/*
 * FILE: strutt_comunicaz.c
 * AUTORE: Alessio Pani
 * DATA: 27/06/2009
 * PROGETTO: Space Invaders - Versione 1
 * DESCRIZIONE: Definizione delle strutture indispensabili per la comunicazione fra i vari processi
 */

#define strutt_comunicaz_c_incluso 1

/**
  * Struttura per la memorizzazione della posizione degli oggetti da mostrare sullo schermo
  * tipo è un codice associato a un particolare oggetto
  * numero è un altro codice associato alla particolare entità di un certo tipo (Es: nemico n.1)
  * x è la colonna sullo schermo in cui si trova
  * y è la riga sullo schermo in cui si trova
  */
typedef struct pos{
  int tipo;
  int numero;
  int x;
  int y;
} posizione;


/**
  * Struttura per la comunicazione da controllo ai nemici
  * c_traiettoria indica se il nemico deve cambiare la propria traiettoria
  * c_livello indica se il nemico deve passare dal primo al secondo livello
  * nav_distrutta indica se al nemico di secondo livello se una delle navicelle del gruppo è stata distrutta e se si quale
  * passo_su indica se il nemico deve fare un passo in alto
  */
typedef struct contnem{
  int c_traiettoria;
  int c_livello;
  int nav_distrutta;
  int passo_su;
} cont_nem;